package com.gyee.wisdom.dao.redis;
import com.gyee.wisdom.common.data.timeseries.*;
import com.gyee.wisdom.dao.timeseries.IHistoryDao;
import com.gyee.wisdom.dao.timeseries.RedisDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.*;

@Component
@RedisDao
@Slf4j
public class RedisHistoryDao implements IHistoryDao {



    //获取统计值方法  avg,max,min数据
    public List<DoubleStatData> getDoubleStatDataHistory(TsQuery tsQuery) throws Exception {
        return null;
    }

    @Override
    public boolean writeHistoryValue(List<TsPointData> dataList) throws Exception {
        return false;
    }

    public Map<String, TsData> getHistorySection(List<TsPoint> tsPoints, Long ts) throws Exception {
        return null;
    }



    public List<TsData> getTsDataHistory(TsQuery tsQuery) throws Exception {
        return null;
    }


}
